<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 09/30/2008 *
 * ================                             Last change: 09/30/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_session.php                          *
 * -------------------------------------------------------------------- *
 * Short description : Session settings                                 *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Session-Einstellungen                            *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addMenuDescription('admin', __FILE__);

if (isFormSent()) {
	// Test Path
	if ((!isPostRequestElementSet(('session_save_path'))) || ((isDirectory(postRequestElement('session_save_path'))) && (is_writeable(postRequestElement('session_save_path'))))) {
		// Save configuration
		adminSaveSettingsFromPostData();
	} else {
		// Invalid!
		loadTemplate('admin_settings_saved', false, getMessage('ADMIN_SESSION_SAVE_PATH_INVALID'));
	}
} else {
	// Prepare content
	$content = array(
		'session_save_path' => getConfig('session_save_path'),
	);

	// Load template
	loadTemplate('admin_config_session', false, $content);
}

// [EOF]
?>
